MEMORY
{
    ICTM (rwx) : ORIGIN = 0x00000000, LENGTH = 16384
}

SECTIONS
{
    .text :
    {
        KEEP(vector_table.o(.vector_table))

        *(.text*)
        *(.rodata*)
    } > ICTM

    .bss (NOLOAD) :
    {
        _bss_begin = .;
        *(.bss*)
        *(COMMON)
        _bss_end = .;
    } > ICTM

    .data :
    {
        *(.data*)

        __exidx_start = .;
        *(.exidx*)
        __exidx_end = .;
    } > ICTM
}